Mandrake Linux Security Advisory : libtiff (MDKSA-2006:102)

High Nessus Plugin ID 21717


The remote Mandrake Linux host is missing one or more security updates.


A buffer overflow in the t2p_write_pdf_string function in tiff2pdf in libtiff 3.8.2 and earlier allows attackers to cause a denial of service (crash) and possibly execute arbitrary code via a TIFF file with a DocumentName tag that contains UTF-8 characters, which triggers the overflow when a character is sign extended to an integer that produces more digits than expected in a sprintf call.

Corporate Server 3 and Corporate Desktop 3 are not affected by this vulnerability as tiff2pdf was not part of the libtiff version shipped in those products.

The updated packages have been patched to correct this issue.


Update the affected packages.

Plugin Details

Severity: High

ID: 21717

File Name: mandrake_MDKSA-2006-102.nasl

Version: $Revision: 1.14 $

Type: local

Published: 2006/06/16

Modified: 2015/03/19

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64tiff3, p-cpe:/a:mandriva:linux:lib64tiff3-devel, p-cpe:/a:mandriva:linux:lib64tiff3-static-devel, p-cpe:/a:mandriva:linux:libtiff-progs, p-cpe:/a:mandriva:linux:libtiff3, p-cpe:/a:mandriva:linux:libtiff3-devel, p-cpe:/a:mandriva:linux:libtiff3-static-devel, cpe:/o:mandriva:linux:2006, x-cpe:/o:mandrakesoft:mandrake_linux:le2005

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2006/06/14

Reference Information

CVE: CVE-2006-2193

BID: 18331

MDKSA: 2006:102